View Issue Details

IDProjectCategoryView StatusLast Update
0001218Industrial-Craft²E-Net, cabling, storage/transformer blockspublic2014-09-08 17:40
ReporteryeganerAssigned ToPlayer 
PrioritynormalSeveritymajorReproducibilityrandom
Status resolvedResolutionfixed 
Product VersionBuilds for MC 1.7.10 
Target VersionFixed in Version 
Summary0001218: E-net broken (propably after unloading area)
DescriptionIt happened two times now that the E-net was broken after i returned to my base.
The first time i was in another dimension, the 2nd time i was mining and i think i unloaded the chunk with my base.

The only way to fix it was to replace all machines and cables
TagsNo tags attached.
Minecraft Version

Activities

yeganer

2014-08-06 10:20

reporter  

2014-08-06_10.34.30.png (1,126,250 bytes)

yeganer

2014-08-06 10:25

reporter   ~0003026

The build i am using it 560

yeganer

2014-08-06 14:20

reporter   ~0003029

And this happened on a server, haven't hat the bug in SSP yet

Player

2014-08-06 16:41

administrator   ~0003032

Was it only visually or functionally broken?

I need logs/latest.log and logs/fml-server-latest.log from when it happened.

yeganer

2014-08-06 19:36

reporter   ~0003037

Last edited: 2014-08-06 19:37

View 2 revisions

it wasn't working at all, so machines didn't receive power.

it happened when the dimensions changed.

here is the log snippet(fml-client-latest.log)
in the latest.log i found nothing but one "can't keep up! Did system time change..."

http://pastebin.com/sDNGQuVX

yeganer

2014-08-06 21:09

reporter   ~0003045

The previous log was from my SSP world

Here is a log when it happens on a server. there happened some conflicts(@22:56:23 for example) before the actual breaking happened(@22:57:32)

here is the log:
http://pastebin.com/TrAcfD02

Player

2014-08-07 10:46

administrator   ~0003049

Retry with build 569 please.

If that doesn't fix it, try starting mc with -Dic2.energynet.replaceconflicting added to the java launch arguments.

yeganer

2014-08-07 12:44

reporter   ~0003061

I tried with build 571, i hope that is okay, too

build 571 didn't fix the issue.

I noticed, leaving the game and joining, restores the E-net visually and functionally, but it doesn't prevent it from crashing again.

Here is a server log of one full test, starting when entering another dimension, waiting there until the world is completely unloaded( don't know if this is neccessary) and then coming back to the overworld. Then i left the game and joined again. After that, the E-Net was fixed and i stopped the server.

http://pastebin.com/b50yq9gY

Do you need any further testing? I'll see if i can provide a world download where it happens

yeganer

2014-08-07 13:06

reporter   ~0003062

i just read a through the logs and i was wondering why the EnergyNet is checking for Mekanism TileEntities?

All the Debug messages and warnings are happening when the world is saved


I am confused, i can't get it to break in a singleplayer testworld.

To clarify: there is no connection between the Mekanism and IC2 network.

I need to do some more testing and i'll write my findings later.

Player

2014-08-07 13:08

administrator   ~0003063

Mekanism/UE just implements the IC2 energy net connectivity as well.

Did you try with -Dic2.energynet.replaceconflicting already?

Player

2014-08-07 13:30

administrator   ~0003064

Build 572 will have some more related changes. It also adds the option -Dic2.energynet.debugtilemanagement to get more useful debug output.

yeganer

2014-08-07 13:31

reporter   ~0003065

Yeah i tried the flag and it didn't change anything. i just added the flag to the server start script i have, i hope that was the right way. Didn't use the flag on the client, shouldn't make a difference, right?

I will remove all IC2 machines and see if i still get some E-Net error messages, if so, i'll remove all Machines that are involved and then i'll set the enet up from scratch, perhaps that helps.

Expect an update later this day, have some work to do now.

Player

2014-08-07 13:34

administrator   ~0003066

The flag won't make it less spammy, it should behave differently though.

yeganer

2014-08-07 15:19

reporter   ~0003072

i had i typo in the flag the first time. The 2nd time i tested it, it worked.

how comes it, that this happens when the world is saved and the area is not loaded? because i noticed the log spam occures every time the world is saved and i'm not in the area/dimension

yeganer

2014-08-08 10:16

reporter   ~0003084

I did some further tests and i think that problem occures only with other mods loaded.
I tried to get it to happen again with only IC2 installed and i wasn't able to reproduce the bug.

Because Applied Energistics and Mekanism are in the log, i think one of the mods is misusing the API or something. I'll test some more this weekend but i think it is a very special bug and not something general.

Issue History

Date Modified Username Field Change
2014-08-06 10:20 yeganer New Issue
2014-08-06 10:20 yeganer File Added: 2014-08-06_10.34.30.png
2014-08-06 10:25 yeganer Note Added: 0003026
2014-08-06 11:12 Thunderdark Assigned To => Player
2014-08-06 11:12 Thunderdark Status new => assigned
2014-08-06 14:20 yeganer Note Added: 0003029
2014-08-06 16:41 Player Note Added: 0003032
2014-08-06 19:36 yeganer Note Added: 0003037
2014-08-06 19:37 yeganer Note Edited: 0003037 View Revisions
2014-08-06 21:09 yeganer Note Added: 0003045
2014-08-07 10:46 Player Note Added: 0003049
2014-08-07 12:44 yeganer Note Added: 0003061
2014-08-07 13:06 yeganer Note Added: 0003062
2014-08-07 13:08 Player Note Added: 0003063
2014-08-07 13:30 Player Note Added: 0003064
2014-08-07 13:31 yeganer Note Added: 0003065
2014-08-07 13:34 Player Note Added: 0003066
2014-08-07 15:19 yeganer Note Added: 0003072
2014-08-08 10:16 yeganer Note Added: 0003084
2014-08-26 05:07 Player Status assigned => resolved
2014-08-26 05:07 Player Resolution open => fixed